Each ShipStation API account comes with its own API key. However, if it ever becomes compromised, you will need to disable it via the /v1/partners/accounts/:account_id/api_keys/:key_id endpoint.
WARNING:
Once an API key for an account has been "disabled", that key is no longer recoverable. Use caution when disabling API keys for an account.
DELETE /v1/partners/accounts/:account_id/api_keys/:key_id
DELETE /v1/partners/accounts/123456/api_keys/1234 HTTP/1.1
Host: api.shipengine.com
API-Key: __PARTNER_API_KEY_HERE__A successful response is empty, with a status of 204.